/*-------------------------------------------------------------------------
 |                                                                         
 |             SAS SUPPLEMENTAL SYNTAX FILE FOR ICPSR 02778
 |                   GAMBLING IMPACT AND BEHAVIOR STUDY
 |                      (DATASET 0002: YOUTH SURVEY)
 |
 |
 | This SAS program is provided for optional use with the SAS transport
 | version of this data file as distributed by ICPSR. The metadata provided
 | below are not stored in the SAS transport version of this data
 | collection.  Users need to use SAS PROC COPY to copy the SAS transport
 | file to a SAS data set on their system. This program can then be used in
 | conjunction with the SAS system data file.
 |
 | PROC FORMAT:  creates user-defined formats for the variables. Formats
 | replace original value codes with value code descriptions.  Only
 | variables with user-defined formats are included in this section.
 |
 | DATA:  begins a SAS data step and names an output SAS data set. Users
 | should replace "SAS-dataset" with their name for the SAS data set copied
 | from the SAS transport file. Users can add a SAS libname statement
 | and an output SAS data set name to make a permanent SAS data set.
 |
 | MISSING VALUE RECODES:  sets user-defined numeric missing values to
 | missing as interpreted by the SAS system. Only variables with
 | user-defined missing values are included in the section.
 |
 | FORMAT:  associates the formats created by the PROC FORMAT step with
 | the variables stored in the SAS data set. Users can refer to their
 | SAS manual for information on how to permanently store formats in a
 | SAS catalog.
 |
 | NOTE:  Users should modify these sections to suit their specific needs.
 | The MISSING VALUE RECODES section has been commented out (i.e., '/*'
 | and '*/').  To make this section active in the program, users should
 | remove the SAS comment indicators from this section.
 |
 *------------------------------------------------------------------------;

* SAS PROC FORMAT;

PROC FORMAT;
  VALUE caseid    -3='MISSING' -2='DONT KNOW' ;
  VALUE su_id     -3='MISSING' -2='DONT KNOW' ;
  VALUE wtyouth   -3.0000='MISSING' -2.0000='DONT KNOW' ;
  VALUE a1_       -3='MISSING' -2='DONT KNOW' 1='(1) MALE' 2='(2) FEMALE' ;
  VALUE a3_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE a5_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE a7_       -3='MISSING' -2='DONT KNOW' 3='(3) 9TH THRU 11TH GRADE'
                  4='(4) 12TH GRADE' 5='(5) TECHNICAL SCHOOL'
                  6='(6) 1 THROUGH 3 YEARS COLLEGE' ;
  VALUE a8_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE a11_      -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) NEVER'
                  2='(2) LESS THAN ONCE A YEAR' 3='(3) ABOUT ONCE OR TWICE A YEAR'
                  4='(4) SEVERAL TIMES A YEAR' 5='(5) ABOUT ONCE A MONTH'
                  6='(6) TWO TO THREE TIMES A MONTH' 7='(7) NEARLY EVERY WEEK'
                  8='(8) EVERY WEEK' 9='(9) SEVERAL TIMES A WEEK' ;
  VALUE a12_      -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) VERY IMPORTANT'
                  2='(2) IMPORTANT' 4='(4) NOT SO IMPORTANT' 5='(5) NOT AT ALL IMPORTANT' ;
  VALUE a14_      -3='MISSING' -2='DONT KNOW' 0='(0) 0 MOVES' 1='(1) 1 MOVES'
                  2='(2) 2 OR MORE MOVES' ;
  VALUE b1_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b2_       -3='MISSING' -2='DONT KNOW' 1='(1) UNDER 18' 2='(2) 18-29'
                  3='(3) 30-39' 4='(4) 40-49' 5='(5) 50-64' 6='(6) 65 AND OLDER' ;
  VALUE b3_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b4_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b5_       -3='MISSING' -2='DONT KNOW' 1='(1) UNDER 18' 2='(2) 18-29'
                  3='(3) 30-39' 4='(4) 40-49' 5='(5) 50-64' 6='(6) 65 AND OLDER' ;
  VALUE b6_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b7_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b8_       -3='MISSING' -2='DONT KNOW' 1='(1) UNDER 18' 2='(2) 18-29'
                  3='(3) 30-39' 4='(4) 40-49' 5='(5) 50-64' 6='(6) 65 AND OLDER' ;
  VALUE b9_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b10_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b11_      -3='MISSING' -2='DONT KNOW' 1='(1) UNDER 18' 2='(2) 18-29'
                  3='(3) 30-39' 4='(4) 40-49' 5='(5) 50-64' ;
  VALUE b12_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b13_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b14_      -3='MISSING' -2='DONT KNOW' 1='(1) UNDER 18' 2='(2) 18-29'
                  3='(3) 30-39' 4='(4) 40-49' 5='(5) 50-64' 6='(6) 65 AND OLDER' ;
  VALUE b15_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b16_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b17_      -3='MISSING' -2='DONT KNOW' 1='(1) UNDER 18' 2='(2) 18-29'
                  3='(3) 30-39' 4='(4) 40-49' 5='(5) 50-64' ;
  VALUE b18_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b19_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b20_      -3='MISSING' -2='DONT KNOW' 1='(1) UNDER 18' 2='(2) 18-29'
                  3='(3) 30-39' 4='(4) 40-49' 5='(5) 50-64' 6='(6) 65 AND OLDER' ;
  VALUE b21_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b22_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b23_      -3='MISSING' -2='DONT KNOW' 1='(1) UNDER 18' 2='(2) 18-29'
                  3='(3) 30-39' 4='(4) 40-49' 5='(5) 50-64' 6='(6) 65 AND OLDER' ;
  VALUE b24_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b25_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b26_      -3='MISSING' -2='DONT KNOW' 1='(1) UNDER 18' 2='(2) 18-29'
                  3='(3) 30-39' 4='(4) 40-49' 5='(5) 50-64' 6='(6) 65 AND OLDER' ;
  VALUE b27_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b28_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b29_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b30_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b31_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE b32_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b33_      -3='MISSING' -2='DONT KNOW'
                  5='(5) ONLY ONE DAY IN THE PAST YEAR' ;
  VALUE b34_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b35_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b36_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b37_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b38_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b39_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b40_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b41_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b42_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b43_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b44_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b44_2fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b44_3fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b44_4fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b44_5fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b44_6fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b44_7fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b45_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b46_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b47a_cd   -3='MISSING' -2='DONT KNOW' ;
  VALUE b47b_cd   -3='MISSING' -2='DONT KNOW' ;
  VALUE b48_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b49_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b50_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE b51_      -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b52a_cd   -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b52b_cd   -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b53_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b54_      -3='MISSING' -2='DONT KNOW' 1='(1) ABOUT EVERY DAY'
                  3='(3) ONCE OR TWICE A MONTH' 4='(4) A FEW DAYS ALL YEAR OR'
                  5='(5) ONLY ONE DAY IN PAST YEAR' ;
  VALUE b55_      -3='MISSING' -2='DONT KNOW' 1='(1) RACE TRACK/INTER-TRACK'
                  2='(2) JAI ALAI FRONTON' 3='(3) AN OFF-TRACK BETTING PARLOR' ;
  VALUE b56_      -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN 10 MILES'
                  2='(2) BETWEEN 10 AND 50 MILES' 3='(3) BETWEEN 50 AND 250 MILES' ;
  VALUE b57_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b58_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b59_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b59_2fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b59_3fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b59_4fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b59_5fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b59_6fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b60_      -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN TWO HOURS'
                  2='(2) TWO TO FOUR HOURS' ;
  VALUE b61_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b62_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b63_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b64_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b65_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b65_2fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b65_3fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b65_4fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b65_5fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b66_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b67_      -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b68a_cd   -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b68b_cd   -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b71_      -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b72a_cd   -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b72b_cd   -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b73_      -3='MISSING' -2='DONT KNOW' 2='(2) ONE TO THREE TIMES A WEEK'
                  3='(3) ONCE OR TWICE A MONTH' 4='(4) A FEW DAYS ALL YEAR OR'
                  5='(5) ONLY ONE DAY IN PAST YEAR' ;
  VALUE b74_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b75_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b76_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b77_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b78_      -3='MISSING' -2='DONT KNOW' 1='(1) SELF' 2='(2) PARENT'
                  3='(3) BROTHER OR SISTER' 4='(4) ANOTHER RELATIVE' 5='(5) SOMEONE ELSE' ;
  VALUE b79_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b79_2fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b79_3fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b79_4fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b80_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b82_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b84_      -3='MISSING' -2='DONT KNOW'
                  1='(1) LESS THEN A QUARTER OF THE MONEY'
                  2='(2) BETWEEN QUARTER AND HALF OF MONEY' ;
  VALUE b80_2fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b82_2fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b84_2fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b80_3fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b82_3fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b84_3fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b80_4fff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b82_4fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b84_4fff  -3='MISSING' -2='DONT KNOW'
                  1='(1) LESS THEN A QUARTER OF THE MONEY'
                  2='(2) BETWEEN QUARTER AND HALF OF MONEY'
                  4='(4) MORE THEN 3 QUARTERS' ;
  VALUE b85_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b86_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b87_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b88_      -3='MISSING' -2='DONT KNOW' 2='(2) FOUR TO TEN' ;
  VALUE b89_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b89_2fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b89_3fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b89_4fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b90a_     -3='MISSING' -2='DONT KNOW' 1='(1) MULTI-STATE'
                  2='(2) OTHER BIG JACKPOT' 3='(3) DAILY' 4='(4) INSTANT/SCRATCH-OFF'
                  5='(5) NO FAVORITE' ;
  VALUE b91_      -3='MISSING' -2='DONT KNOW'
                  1='(1) QUARTER OR LESS OF EVERY DOLLAR' 2='(2) ABOUT HALF' ;
  VALUE b92_      -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b93a_cd   -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' 2='(2) $100 TO $500' ;
  VALUE b93b_cd   -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' 2='(2) $100 TO $500' ;
  VALUE b94_      -3='MISSING' -2='DONT KNOW' 1='(1) ABOUT EVERY DAY'
                  3='(3) ONCE OR TWICE A MONTH' 4='(4) A FEW DAYS ALL YEAR OR'
                  5='(5) ONLY ONE DAY IN THE PAST YEAR?' ;
  VALUE b95_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b96_      -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN TWO HOURS'
                  2='(2) TWO TO FOUR HOURS' ;
  VALUE b97_      -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN 10 MILES'
                  2='(2) BETWEEN 10 AND 50 MILES' 3='(3) BETWEEN 50 AND 250 MILES'
                  4='(4) MORE THAN 250 MILES' ;
  VALUE b98_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b99_      -3='MISSING' -2='DONT KNOW' ;
  VALUE b100_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b101_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b102_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE b102_2ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b102_3ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b102_4ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b102_5ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b102_6ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b103_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b104_     -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b105a_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b105b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' 2='(2) $100 TO $500' ;
  VALUE b106_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b107_     -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b108a_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' 2='(2) $100 TO $500' ;
  VALUE b108b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' 2='(2) $100 TO $500' ;
  VALUE b109_     -3='MISSING' -2='DONT KNOW' 3='(3) ONCE OR TWICE A MONTH'
                  4='(4) A FEW DAYS ALL YEAR' 5='(5) ONLY ONE DAY IN PAST YEAR' ;
  VALUE b110_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b111_     -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN TWO HOURS'
                  3='(3) FIVE TO TEN HOURS OR' ;
  VALUE b112_     -3='MISSING' -2='DONT KNOW' 1='(1) LESS THEN 12 MILES' ;
  VALUE b114_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b115_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b116_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b117_     -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b118_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b118_2ff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b118_3ff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b118_4ff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b118_5ff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b118_6ff  -3='MISSING' -2='DONT KNOW' ;
  VALUE b119_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b120_     -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b121a_cd  -3='MISSING' -2='DONT KNOW' 2='(2) $100 TO $500' ;
  VALUE b121b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b122_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b123_     -3='MISSING' -2='DONT KNOW' 2='(2) BEHIND' 3='(3) BROKE EVEN' ;
  VALUE b124a_cd  -3='MISSING' -2='DONT KNOW' ;
  VALUE b124b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b125_     -3='MISSING' -2='DONT KNOW' 2='(2) ONE TO THREE TIMES A WEEK'
                  3='(3) ONCE OR TWICE A MONTH' 4='(4) A FEW DAYS ALL YEAR OR'
                  5='(5) ONLY ONE DAY IN THE PAST YEAR?' ;
  VALUE b126_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b127_     -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN TWO HOURS'
                  2='(2) TWO TO FOUR HOURS' ;
  VALUE b128_     -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN 10 MILES'
                  2='(2) BETWEEN 10 AND 50 MILES' 3='(3) BETWEEN 50 AND 250 MILES' ;
  VALUE b129_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b130_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b131_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b132_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b133_     -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b133_2ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b133_3ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b133_4ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b133_5ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b133_6ff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE b133_7ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b134_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b135_     -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND' ;
  VALUE b136a_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b136b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b137_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b138_     -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b139a_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b139b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b140_     -3='MISSING' -2='DONT KNOW' 1='(1) ABOUT EVERY DAY'
                  2='(2) ONE TO THREE TIMES A WEEK' 3='(3) ONCE OR TWICE A MONTH'
                  4='(4) A FEW DAYS ALL YEAR' 5='(5) ONLY ONE DAY IN THE PAST YEAR?' ;
  VALUE b141_     -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN TWO HOURS'
                  2='(2) TWO TO FOUR HOURS' 3='(3) FIVE TO TEN HOURS OR'
                  4='(4) MORE THAN TEN HOURS?' ;
  VALUE b142_     -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b143a_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' 2='(2) $100 TO $500' ;
  VALUE b143b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b144_     -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b145a_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' 2='(2) $100 TO $500'
                  4='(4) $1 001 TO $5 000' ;
  VALUE b145b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' 2='(2) $100 TO $500' ;
  VALUE b146_     -3='MISSING' -2='DONT KNOW' 2='(2) ONE TO THREE TIMES A WEEK'
                  4='(4) A FEW DAYS ALL YEAR' 5='(5) ONLY ONE DAY IN THE PAST YEAR?' ;
  VALUE b147_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b148_     -3='MISSING' -2='DONT KNOW' 1='(1) A BAR OR RESTAURANT'
                  2='(2) A TRUCK STOP OR GAS STATION' 3='(3) A CONVENIENCE STORE'
                  4='(4) A SUPERMARKET OR' 5='(5) SOMEPLACE ELSE?' ;
  VALUE b149_     -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN 10 MILES'
                  2='(2) BETWEEN 10 AND 50 MILES' 3='(3) BETWEEN 50 AND 250 MILES'
                  4='(4) MORE THAN 250 MILES' ;
  VALUE b150_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b150_2ff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b150_3ff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b150_4ff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b150_5ff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b151_     -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN TWO HOURS'
                  3='(3) FIVE TO TEN HOURS OR' ;
  VALUE b152_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b153_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b154_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b155_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b156_     -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b156_2ff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b156_3ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b156_4ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b156_5ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b156_6ff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b156_7ff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b157_     -3='MISSING' -2='DONT KNOW'
                  2='(2) WITHIN WALKING DIST OF GAMBLING' ;
  VALUE b158_     -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b159a_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' 2='(2) $100 TO $500' ;
  VALUE b159b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b160_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE b161_     -3='MISSING' -2='DONT KNOW' 1='(1) SLOT MACHINES'
                  2='(2) A VIDEO LOTTERY MACHINE' 3='(3) SOME OTHER ELECTRONIC GAME'
                  4='(4) PULL TABS OR' 5='(5) SOMETHING ELSE?' ;
  VALUE b162_     -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE b163_     -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b164a_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b164b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b165_     -3='MISSING' -2='DONT KNOW' 2='(2) ONE TO THREE TIMES A WEEK'
                  3='(3) ONCE OR TWICE A MONTH' 4='(4) A FEW DAYS ALL YEAR OR'
                  5='(5) ONLY ONE DAY IN THE PAST YEAR?' ;
  VALUE b166_     -3='MISSING' -2='DONT KNOW'
                  1='(1) PARTICIPATED IN A SPORTS POOL'
                  2='(2) PLACED A BET WITH A BOOKMAKER' ;
  VALUE b167_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b168_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b169_     -3='MISSING' -2='DONT KNOW' 1='(1) AHEAD' 2='(2) BEHIND'
                  3='(3) BROKE EVEN' ;
  VALUE b170a_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' 2='(2) $100 TO $500' ;
  VALUE b170b_cd  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER $100' ;
  VALUE b171_     -3='MISSING' -2='DONT KNOW'
                  5='(5) ONLY ONE DAY IN THE PAST YEAR?' ;
  VALUE b172_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b173_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b174_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b175_     -3='MISSING' -2='DONT KNOW' ;
  VALUE b176a_cd  -3='MISSING' -2='DONT KNOW' ;
  VALUE b176b_cd  -3='MISSING' -2='DONT KNOW' ;
  VALUE b177_     -3='MISSING' -2='DONT KNOW' 3='(3) BROKE EVEN' ;
  VALUE b178a_cd  -3='MISSING' -2='DONT KNOW' ;
  VALUE b178b_cd  -3='MISSING' -2='DONT KNOW' ;
  VALUE c1_       -3='MISSING' -2='DONT KNOW' 1='(1) VERY GOOD' 2='(2) GOOD'
                  3='(3) ABOUT EQUALLY GOOD AND BAD' 4='(4) BAD OR' 5='(5) VERY BAD?' ;
  VALUE c2_       -3='MISSING' -2='DONT KNOW'
                  1='(1) HAS NOT GAMBLED IN PAST YEAR' ;
  VALUE c3_       -3='MISSING' -2='DONT KNOW' 1='(1) VERY IMPORTANT'
                  2='(2) IMPORTANT' 3='(3) NOT SO IMPORTANT' 4='(4) NOT AT ALL IMPORTANT' ;
  VALUE c4_       -3='MISSING' -2='DONT KNOW' 1='(1) VERY IMPORTANT'
                  2='(2) IMPORTANT' 3='(3) NOT SO IMPORTANT' 4='(4) NOT AT ALL IMPORTANT' ;
  VALUE c5_       -3='MISSING' -2='DONT KNOW' 1='(1) VERY IMPORTANT'
                  2='(2) IMPORTANT' 3='(3) NOT SO IMPORTANT' 4='(4) NOT AT ALL IMPORTANT' ;
  VALUE c6_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE c8_       -3='MISSING' -2='DONT KNOW'
                  1='(1) HAS NOT GAMBLED IN PAST YEAR' ;
  VALUE c9_       -3='MISSING' -2='DONT KNOW' 1='(1) VERY IMPORTANT'
                  2='(2) IMPORTANT' 3='(3) NOT SO IMPORTANT' 4='(4) NOT AT ALL IMPORTANT' ;
  VALUE c10_      -3='MISSING' -2='DONT KNOW' 1='(1) VERY IMPORTANT'
                  2='(2) IMPORTANT' 3='(3) NOT SO IMPORTANT' 4='(4) NOT AT ALL IMPORTANT' ;
  VALUE c11_      -3='MISSING' -2='DONT KNOW' 1='(1) VERY IMPORTANT'
                  2='(2) IMPORTANT' 3='(3) NOT SO IMPORTANT' 4='(4) NOT AT ALL IMPORTANT' ;
  VALUE c12_      -3='MISSING' -2='DONT KNOW' 1='(1) VERY IMPORTANT'
                  2='(2) IMPORTANT' 3='(3) NOT SO IMPORTANT' 4='(4) NOT AT ALL IMPORTANT' ;
  VALUE c13_      -3='MISSING' -2='DONT KNOW' 1='(1) VERY IMPORTANT'
                  2='(2) IMPORTANT' 3='(3) NOT SO IMPORTANT' 4='(4) NOT AT ALL IMPORTANT' ;
  VALUE c14_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE c15_      -3='MISSING' -2='DONT KNOW' 1='(1) BINGO' 2='(2) BOOK-TYPE BETTING'
                  3='(3) CARD GAMES' 5='(5) DICE' 6='(6) GAMES OF SKILL'
                  7='(7) INSTANT LOTTERY GAMES' 10='(10) OFF-TRACK BETTING'
                  11='(11) LOTTERY GAMES (NOT INSTANT)'
                  12='(12) OUTCOME OF SPORTS EVENTS W/ ACQ'
                  13='(13) PARI-MUTUEL SPORTS' 14='(14) PULL-TABS' 16='(16) SLOT MACHINES'
                  17='(17) SPORTS POOLS' 18='(18) TABLE GAMES (IN GENERAL)'
                  19='(19) VIDEO MACHINE GAMES' 20='(20) OTHER (SPECIFY)'
                  21='(21) NO FAVORITE' ;
  VALUE c16_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE c17_      -3='MISSING' -2='DONT KNOW' 1='(1) YOUR SPOUSE OR PARTNER'
                  2='(2) OTHER FAMILY MEMBER(S)'
                  3='(3) FRIEND/CO-WORKER/NEIGHBOR/CLUB MEMBER'
                  4='(4) SOME OTHER INDIVIDUAL OR GROUP' ;
  VALUE c18_cd    -3='MISSING' -2='DONT KNOW' 1='(1) NONE' 2='(2) UNDER $100'
                  3='(3) $100 TO $500' 4='(4) $501 TO $1 000' 5='(5) $1 001 TO $5 000' ;
  VALUE c19_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE c20_      -3='MISSING' -2='DONT KNOW' 1='(1) SAVE' 2='(2) SPEND' ;
  VALUE c21_      -3='MISSING' -2='DONT KNOW' 1='(1) PARTICULAR' 2='(2) GENERAL' ;
  VALUE c22_cd    -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE c22_cd2f  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE c22_cd3f  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE c22_cd4f  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE c22_cd5f  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE c23_cd    -3='MISSING' -2='DONT KNOW' 1='(1) NEVER LOST ANY MONEY'
                  2='(2) UNDER $100' 3='(3) $100 TO $500' 4='(4) $501 TO $1 000' ;
  VALUE c24_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE c25_      -3='MISSING' -2='DONT KNOW' 1='(1) CASH ON HAND'
                  2='(2) BORROW OR CREDIT' ;
  VALUE c26_      -3='MISSING' -2='DONT KNOW' 2='(2) SAVE' 3='(3) SPEND' ;
  VALUE c27_      -3='MISSING' -2='DONT KNOW' 1='(1) PARTICULAR' 2='(2) GENERAL' ;
  VALUE c28_cd    -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE c28_cd2f  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE c28_cd3f  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE c28_cd4f  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE c28_cd5f  -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE c29_cd    -3='MISSING' -2='DONT KNOW' 1='(1) NEVER LOST MONEY'
                  2='(2) UNDER $100' 3='(3) $100 TO $500' 4='(4) $501 TO $1 000' ;
  VALUE d1_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d2_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d3_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d4_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d5_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d6_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d7_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d8_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d9_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d10_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d11_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d12_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d13_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d14_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d15_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d16_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE d17_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d18_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d19_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE d20_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d21_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d22_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d23_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d24_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d25_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d26_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d27_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d28_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d29_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d30_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d31_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE d32_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE d33_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE d34_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE d35_      -3='MISSING' -2='DONT KNOW' ;
  VALUE d36_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE e1_       -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE e2_       -3='MISSING' -2='DONT KNOW' ;
  VALUE e2_2ffff  -3='MISSING' -2='DONT KNOW' ;
  VALUE e2_3ffff  -3='MISSING' -2='DONT KNOW' ;
  VALUE e2_4ffff  -3='MISSING' -2='DONT KNOW' ;
  VALUE e2_5ffff  -3='MISSING' -2='DONT KNOW' ;
  VALUE e2_6ffff  -3='MISSING' -2='DONT KNOW' ;
  VALUE e3_       -3='MISSING' -2='DONT KNOW' ;
  VALUE e4_       -3='MISSING' -2='DONT KNOW' ;
  VALUE e5_       -3='MISSING' -2='DONT KNOW' ;
  VALUE e6_       -3='MISSING' -2='DONT KNOW' ;
  VALUE e7_       -3='MISSING' -2='DONT KNOW' ;
  VALUE f1_       -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f2_       -3='MISSING' -2='DONT KNOW' ;
  VALUE f3_       -3='MISSING' -2='DONT KNOW' ;
  VALUE f4_       -3='MISSING' -2='DONT KNOW' ;
  VALUE f5_       -3='MISSING' -2='DONT KNOW' ;
  VALUE f6_       -3='MISSING' -2='DONT KNOW' ;
  VALUE f7_       -3='MISSING' -2='DONT KNOW' ;
  VALUE f8_       -3='MISSING' -2='DONT KNOW' ;
  VALUE f10_      -3='MISSING' -2='DONT KNOW' ;
  VALUE f11_      -3='MISSING' -2='DONT KNOW' ;
  VALUE f12_      -3='MISSING' -2='DONT KNOW' ;
  VALUE f13_      -3='MISSING' -2='DONT KNOW' ;
  VALUE f14_      -3='MISSING' -2='DONT KNOW' ;
  VALUE f16a_     -3='MISSING' -2='DONT KNOW' ;
  VALUE f16b_     -3='MISSING' -2='DONT KNOW' ;
  VALUE f16c_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f16d_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f16e_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f16f_     -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f16g_     -3='MISSING' -2='DONT KNOW' ;
  VALUE f17_      -3='MISSING' -2='DONT KNOW' 3='(3) 3 OR MORE' ;
  VALUE f19_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f20_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f20_2fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f20_3fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f20_4fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f20_5fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f20_6fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f20_7fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f21_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f22_      -3='MISSING' -2='DONT KNOW' ;
  VALUE f23_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f23_2fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f23_3fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f23_4fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f23_5fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f23_6fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f23_7fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE f24_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f25_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f25_2fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f25_3fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f25_4fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f25_5fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f25_6fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f25_7fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE f26_      -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE f27_      -3='MISSING' -2='DONT KNOW' ;
  VALUE h1a       -3='MISSING' -2='DONT KNOW' 1='(1) LESS THAN $100' ;
  VALUE h2ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE h3ffffff  -3='MISSING' -2='DONT KNOW' ;
  VALUE h4ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) UNDER 18' ;
  VALUE h5ffffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE h6ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE h7ffffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE h8ffffff  -3='MISSING' -2='DONT KNOW' ;
  VALUE h10fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE h11fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE h12fffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE h15fffff  -3='MISSING' -2='DONT KNOW' ;
  VALUE h16fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j1ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) EXCELLENT' 2='(2) GOOD' 3='(3) FAIR'
                  4='(4) POOR' ;
  VALUE j2ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j3ffffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) NOT AT ALL'
                  2='(2) SOMEWHAT' 3='(3) VERY MUCH' ;
  VALUE j4ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j5ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j6ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j7ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j8ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j9ffffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j23fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j24fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j25fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j26fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j27fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j28fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j29fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j30fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j31fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j32fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j33fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j34fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j35fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j36fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j37fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j38fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j39fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j40fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j41fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j42fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j43fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE j44fffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE j45fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE j47fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j48fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j49fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE j50fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j51fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j52fffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE j53fffff  -3='MISSING' -2='DONT KNOW' ;
  VALUE j55fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 3='(3) 3 OR MORE' ;
  VALUE j56fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) ALL' 2='(2) SOME'
                  3='(3) NONE' ;
  VALUE j57fffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) ALL' 2='(2) SOME'
                  3='(3) NONE' ;
  VALUE j58fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE j59fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k1_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k2_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k3_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k4_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k5_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k6_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k7_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k8_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k9_       -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k10_      -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE k11_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k12_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k13_      -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k6_2ffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE k7_2ffff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE k8_2ffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k9_2ffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k10_2fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k11_2fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k12_2fff  -3='MISSING' -2='DONT KNOW' -1='REFUSED' 1='(1) YES' 2='(2) NO' ;
  VALUE k13_2fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k6_3ffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k7_3ffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE k8_3ffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE k9_3ffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE k10_3fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k11_3fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k12_3fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k13_3fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k6_4ffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k7_4ffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k8_4ffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k9_4ffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k10_4fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k11_4fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k12_4fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k13_4fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE k6_5ffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE k7_5ffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE k8_5ffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE k9_5ffff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE k10_5fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE k11_5fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE k12_5fff  -3='MISSING' -2='DONT KNOW' 2='(2) NO' ;
  VALUE k13_5fff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE ck1fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE ck2fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE ck3fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE ck4fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE ck5fffff  -3='MISSING' -2='DONT KNOW' 1='(1) YES' ;
  VALUE lotstate  -3='MISSING' -2='DONT KNOW' 1='(1) YES' 2='(2) NO' ;
  VALUE income    -3='MISSING' -2='DONT KNOW' ;
  VALUE iincome   -3='MISSING' -2='DONT KNOW' 1='(1) IMPUTED VALUE FOR INCOME' ;
  VALUE everprob  -3='MISSING' -2='DONT KNOW' ;
  VALUE prob12mo  -3='MISSING' -2='DONT KNOW' ;
  VALUE marital   -3='MISSING' -2='DONT KNOW' 3='(3) NEVER MARRIED' ;
  VALUE raceth    -3='MISSING' -2='DONT KNOW' 1='(1) WHITE' 2='(2) BLACK'
                  3='(3) HISPANIC' 4='(4) OTHER' ;
  VALUE a2_r      -3='MISSING' -2='DONT KNOW' 0='(0) UNDER 18' ;
  VALUE a4_r      -3='MISSING' -2='DONT KNOW' 1='(1) BLACK OR AFRICAN AMERICAN'
                  2='(2) WHITE' 3='(3) OTHER' ;
  VALUE a6_r      -3='MISSING' -2='DONT KNOW' 1='(1) COLLEGE OR UNIVERSITY'
                  2='(2) OTHER' ;
  VALUE survey    -3='MISSING' -2='DONT KNOW' ;
  VALUE smsreg    -3='MISSING' -2='DONT KNOW' 1='(1) MIDWEST' 2='(2) NORTHEAST'
                  3='(3) SOUTH' 4='(4) WEST' ;
RUN;

* SAS DATA STEP;
DATA;
SET SAS-dataset ;


* USER-DEFINED MISSING VALUES RECODE TO SAS SYSMIS;

/*
   IF (CASEID <= -1) THEN CASEID = .;
   IF (SU_ID <= -1) THEN SU_ID = .;
   IF (WTYOUTH <= -1.0000) THEN WTYOUTH = .;
   IF (A1_ <= -1) THEN A1_ = .;
   IF (A3_ <= -1) THEN A3_ = .;
   IF (A5_ <= -1) THEN A5_ = .;
   IF (A7_ <= -1) THEN A7_ = .;
   IF (A8_ <= -1) THEN A8_ = .;
   IF (A11_ <= -1) THEN A11_ = .;
   IF (A12_ <= -1) THEN A12_ = .;
   IF (A14_ <= -1) THEN A14_ = .;
   IF (B1_ <= -1) THEN B1_ = .;
   IF (B2_ <= -1) THEN B2_ = .;
   IF (B3_ <= -1) THEN B3_ = .;
   IF (B4_ <= -1) THEN B4_ = .;
   IF (B5_ <= -1) THEN B5_ = .;
   IF (B6_ <= -1) THEN B6_ = .;
   IF (B7_ <= -1) THEN B7_ = .;
   IF (B8_ <= -1) THEN B8_ = .;
   IF (B9_ <= -1) THEN B9_ = .;
   IF (B10_ <= -1) THEN B10_ = .;
   IF (B11_ <= -1) THEN B11_ = .;
   IF (B12_ <= -1) THEN B12_ = .;
   IF (B13_ <= -1) THEN B13_ = .;
   IF (B14_ <= -1) THEN B14_ = .;
   IF (B15_ <= -1) THEN B15_ = .;
   IF (B16_ <= -1) THEN B16_ = .;
   IF (B17_ <= -1) THEN B17_ = .;
   IF (B18_ <= -1) THEN B18_ = .;
   IF (B19_ <= -1) THEN B19_ = .;
   IF (B20_ <= -1) THEN B20_ = .;
   IF (B21_ <= -1) THEN B21_ = .;
   IF (B22_ <= -1) THEN B22_ = .;
   IF (B23_ <= -1) THEN B23_ = .;
   IF (B24_ <= -1) THEN B24_ = .;
   IF (B25_ <= -1) THEN B25_ = .;
   IF (B26_ <= -1) THEN B26_ = .;
   IF (B27_ <= -1) THEN B27_ = .;
   IF (B28_ <= -1) THEN B28_ = .;
   IF (B29_ <= -1) THEN B29_ = .;
   IF (B30_ <= -1) THEN B30_ = .;
   IF (B31_ <= -1) THEN B31_ = .;
   IF (B32_ <= -1) THEN B32_ = .;
   IF (B33_ <= -1) THEN B33_ = .;
   IF (B34_ <= -1) THEN B34_ = .;
   IF (B35_ <= -1) THEN B35_ = .;
   IF (B36_ <= -1) THEN B36_ = .;
   IF (B37_ <= -1) THEN B37_ = .;
   IF (B38_ <= -1) THEN B38_ = .;
   IF (B39_ <= -1) THEN B39_ = .;
   IF (B40_ <= -1) THEN B40_ = .;
   IF (B41_ <= -1) THEN B41_ = .;
   IF (B42_ <= -1) THEN B42_ = .;
   IF (B43_ <= -1) THEN B43_ = .;
   IF (B44_ <= -1) THEN B44_ = .;
   IF (B44_2 <= -1) THEN B44_2 = .;
   IF (B44_3 <= -1) THEN B44_3 = .;
   IF (B44_4 <= -1) THEN B44_4 = .;
   IF (B44_5 <= -1) THEN B44_5 = .;
   IF (B44_6 <= -1) THEN B44_6 = .;
   IF (B44_7 <= -1) THEN B44_7 = .;
   IF (B45_ <= -1) THEN B45_ = .;
   IF (B46_ <= -1) THEN B46_ = .;
   IF (B47A_CD <= -1) THEN B47A_CD = .;
   IF (B47B_CD <= -1) THEN B47B_CD = .;
   IF (B48_ <= -1) THEN B48_ = .;
   IF (B49_ <= -1) THEN B49_ = .;
   IF (B50_ <= -1) THEN B50_ = .;
   IF (B51_ <= -1) THEN B51_ = .;
   IF (B52A_CD <= -1) THEN B52A_CD = .;
   IF (B52B_CD <= -1) THEN B52B_CD = .;
   IF (B53_ <= -1) THEN B53_ = .;
   IF (B54_ <= -1) THEN B54_ = .;
   IF (B55_ <= -1) THEN B55_ = .;
   IF (B56_ <= -1) THEN B56_ = .;
   IF (B57_ <= -1) THEN B57_ = .;
   IF (B58_ <= -1) THEN B58_ = .;
   IF (B59_ <= -1) THEN B59_ = .;
   IF (B59_2 <= -1) THEN B59_2 = .;
   IF (B59_3 <= -1) THEN B59_3 = .;
   IF (B59_4 <= -1) THEN B59_4 = .;
   IF (B59_5 <= -1) THEN B59_5 = .;
   IF (B59_6 <= -1) THEN B59_6 = .;
   IF (B60_ <= -1) THEN B60_ = .;
   IF (B61_ <= -1) THEN B61_ = .;
   IF (B62_ <= -1) THEN B62_ = .;
   IF (B63_ <= -1) THEN B63_ = .;
   IF (B64_ <= -1) THEN B64_ = .;
   IF (B65_ <= -1) THEN B65_ = .;
   IF (B65_2 <= -1) THEN B65_2 = .;
   IF (B65_3 <= -1) THEN B65_3 = .;
   IF (B65_4 <= -1) THEN B65_4 = .;
   IF (B65_5 <= -1) THEN B65_5 = .;
   IF (B66_ <= -1) THEN B66_ = .;
   IF (B67_ <= -1) THEN B67_ = .;
   IF (B68A_CD <= -1) THEN B68A_CD = .;
   IF (B68B_CD <= -1) THEN B68B_CD = .;
   IF (B71_ <= -1) THEN B71_ = .;
   IF (B72A_CD <= -1) THEN B72A_CD = .;
   IF (B72B_CD <= -1) THEN B72B_CD = .;
   IF (B73_ <= -1) THEN B73_ = .;
   IF (B74_ <= -1) THEN B74_ = .;
   IF (B75_ <= -1) THEN B75_ = .;
   IF (B76_ <= -1) THEN B76_ = .;
   IF (B77_ <= -1) THEN B77_ = .;
   IF (B78_ <= -1) THEN B78_ = .;
   IF (B79_ <= -1) THEN B79_ = .;
   IF (B79_2 <= -1) THEN B79_2 = .;
   IF (B79_3 <= -1) THEN B79_3 = .;
   IF (B79_4 <= -1) THEN B79_4 = .;
   IF (B80_ <= -1) THEN B80_ = .;
   IF (B82_ <= -1) THEN B82_ = .;
   IF (B84_ <= -1) THEN B84_ = .;
   IF (B80_2 <= -1) THEN B80_2 = .;
   IF (B82_2 <= -1) THEN B82_2 = .;
   IF (B84_2 <= -1) THEN B84_2 = .;
   IF (B80_3 <= -1) THEN B80_3 = .;
   IF (B82_3 <= -1) THEN B82_3 = .;
   IF (B84_3 <= -1) THEN B84_3 = .;
   IF (B80_4 <= -1) THEN B80_4 = .;
   IF (B82_4 <= -1) THEN B82_4 = .;
   IF (B84_4 <= -1) THEN B84_4 = .;
   IF (B85_ <= -1) THEN B85_ = .;
   IF (B86_ <= -1) THEN B86_ = .;
   IF (B87_ <= -1) THEN B87_ = .;
   IF (B88_ <= -1) THEN B88_ = .;
   IF (B89_ <= -1) THEN B89_ = .;
   IF (B89_2 <= -1) THEN B89_2 = .;
   IF (B89_3 <= -1) THEN B89_3 = .;
   IF (B89_4 <= -1) THEN B89_4 = .;
   IF (B90A_ <= -1) THEN B90A_ = .;
   IF (B91_ <= -1) THEN B91_ = .;
   IF (B92_ <= -1) THEN B92_ = .;
   IF (B93A_CD <= -1) THEN B93A_CD = .;
   IF (B93B_CD <= -1) THEN B93B_CD = .;
   IF (B94_ <= -1) THEN B94_ = .;
   IF (B95_ <= -1) THEN B95_ = .;
   IF (B96_ <= -1) THEN B96_ = .;
   IF (B97_ <= -1) THEN B97_ = .;
   IF (B98_ <= -1) THEN B98_ = .;
   IF (B99_ <= -1) THEN B99_ = .;
   IF (B100_ <= -1) THEN B100_ = .;
   IF (B101_ <= -1) THEN B101_ = .;
   IF (B102_ <= -1) THEN B102_ = .;
   IF (B102_2 <= -1) THEN B102_2 = .;
   IF (B102_3 <= -1) THEN B102_3 = .;
   IF (B102_4 <= -1) THEN B102_4 = .;
   IF (B102_5 <= -1) THEN B102_5 = .;
   IF (B102_6 <= -1) THEN B102_6 = .;
   IF (B103_ <= -1) THEN B103_ = .;
   IF (B104_ <= -1) THEN B104_ = .;
   IF (B105A_CD <= -1) THEN B105A_CD = .;
   IF (B105B_CD <= -1) THEN B105B_CD = .;
   IF (B106_ <= -1) THEN B106_ = .;
   IF (B107_ <= -1) THEN B107_ = .;
   IF (B108A_CD <= -1) THEN B108A_CD = .;
   IF (B108B_CD <= -1) THEN B108B_CD = .;
   IF (B109_ <= -1) THEN B109_ = .;
   IF (B110_ <= -1) THEN B110_ = .;
   IF (B111_ <= -1) THEN B111_ = .;
   IF (B112_ <= -1) THEN B112_ = .;
   IF (B114_ <= -1) THEN B114_ = .;
   IF (B115_ <= -1) THEN B115_ = .;
   IF (B116_ <= -1) THEN B116_ = .;
   IF (B117_ <= -1) THEN B117_ = .;
   IF (B118_ <= -1) THEN B118_ = .;
   IF (B118_2 <= -1) THEN B118_2 = .;
   IF (B118_3 <= -1) THEN B118_3 = .;
   IF (B118_4 <= -1) THEN B118_4 = .;
   IF (B118_5 <= -1) THEN B118_5 = .;
   IF (B118_6 <= -1) THEN B118_6 = .;
   IF (B119_ <= -1) THEN B119_ = .;
   IF (B120_ <= -1) THEN B120_ = .;
   IF (B121A_CD <= -1) THEN B121A_CD = .;
   IF (B121B_CD <= -1) THEN B121B_CD = .;
   IF (B122_ <= -1) THEN B122_ = .;
   IF (B123_ <= -1) THEN B123_ = .;
   IF (B124A_CD <= -1) THEN B124A_CD = .;
   IF (B124B_CD <= -1) THEN B124B_CD = .;
   IF (B125_ <= -1) THEN B125_ = .;
   IF (B126_ <= -1) THEN B126_ = .;
   IF (B127_ <= -1) THEN B127_ = .;
   IF (B128_ <= -1) THEN B128_ = .;
   IF (B129_ <= -1) THEN B129_ = .;
   IF (B130_ <= -1) THEN B130_ = .;
   IF (B131_ <= -1) THEN B131_ = .;
   IF (B132_ <= -1) THEN B132_ = .;
   IF (B133_ <= -1) THEN B133_ = .;
   IF (B133_2 <= -1) THEN B133_2 = .;
   IF (B133_3 <= -1) THEN B133_3 = .;
   IF (B133_4 <= -1) THEN B133_4 = .;
   IF (B133_5 <= -1) THEN B133_5 = .;
   IF (B133_6 <= -1) THEN B133_6 = .;
   IF (B133_7 <= -1) THEN B133_7 = .;
   IF (B134_ <= -1) THEN B134_ = .;
   IF (B135_ <= -1) THEN B135_ = .;
   IF (B136A_CD <= -1) THEN B136A_CD = .;
   IF (B136B_CD <= -1) THEN B136B_CD = .;
   IF (B137_ <= -1) THEN B137_ = .;
   IF (B138_ <= -1) THEN B138_ = .;
   IF (B139A_CD <= -1) THEN B139A_CD = .;
   IF (B139B_CD <= -1) THEN B139B_CD = .;
   IF (B140_ <= -1) THEN B140_ = .;
   IF (B141_ <= -1) THEN B141_ = .;
   IF (B142_ <= -1) THEN B142_ = .;
   IF (B143A_CD <= -1) THEN B143A_CD = .;
   IF (B143B_CD <= -1) THEN B143B_CD = .;
   IF (B144_ <= -1) THEN B144_ = .;
   IF (B145A_CD <= -1) THEN B145A_CD = .;
   IF (B145B_CD <= -1) THEN B145B_CD = .;
   IF (B146_ <= -1) THEN B146_ = .;
   IF (B147_ <= -1) THEN B147_ = .;
   IF (B148_ <= -1) THEN B148_ = .;
   IF (B149_ <= -1) THEN B149_ = .;
   IF (B150_ <= -1) THEN B150_ = .;
   IF (B150_2 <= -1) THEN B150_2 = .;
   IF (B150_3 <= -1) THEN B150_3 = .;
   IF (B150_4 <= -1) THEN B150_4 = .;
   IF (B150_5 <= -1) THEN B150_5 = .;
   IF (B151_ <= -1) THEN B151_ = .;
   IF (B152_ <= -1) THEN B152_ = .;
   IF (B153_ <= -1) THEN B153_ = .;
   IF (B154_ <= -1) THEN B154_ = .;
   IF (B155_ <= -1) THEN B155_ = .;
   IF (B156_ <= -1) THEN B156_ = .;
   IF (B156_2 <= -1) THEN B156_2 = .;
   IF (B156_3 <= -1) THEN B156_3 = .;
   IF (B156_4 <= -1) THEN B156_4 = .;
   IF (B156_5 <= -1) THEN B156_5 = .;
   IF (B156_6 <= -1) THEN B156_6 = .;
   IF (B156_7 <= -1) THEN B156_7 = .;
   IF (B157_ <= -1) THEN B157_ = .;
   IF (B158_ <= -1) THEN B158_ = .;
   IF (B159A_CD <= -1) THEN B159A_CD = .;
   IF (B159B_CD <= -1) THEN B159B_CD = .;
   IF (B160_ <= -1) THEN B160_ = .;
   IF (B161_ <= -1) THEN B161_ = .;
   IF (B162_ <= -1) THEN B162_ = .;
   IF (B163_ <= -1) THEN B163_ = .;
   IF (B164A_CD <= -1) THEN B164A_CD = .;
   IF (B164B_CD <= -1) THEN B164B_CD = .;
   IF (B165_ <= -1) THEN B165_ = .;
   IF (B166_ <= -1) THEN B166_ = .;
   IF (B167_ <= -1) THEN B167_ = .;
   IF (B168_ <= -1) THEN B168_ = .;
   IF (B169_ <= -1) THEN B169_ = .;
   IF (B170A_CD <= -1) THEN B170A_CD = .;
   IF (B170B_CD <= -1) THEN B170B_CD = .;
   IF (B171_ <= -1) THEN B171_ = .;
   IF (B172_ <= -1) THEN B172_ = .;
   IF (B173_ <= -1) THEN B173_ = .;
   IF (B174_ <= -1) THEN B174_ = .;
   IF (B175_ <= -1) THEN B175_ = .;
   IF (B176A_CD <= -1) THEN B176A_CD = .;
   IF (B176B_CD <= -1) THEN B176B_CD = .;
   IF (B177_ <= -1) THEN B177_ = .;
   IF (B178A_CD <= -1) THEN B178A_CD = .;
   IF (B178B_CD <= -1) THEN B178B_CD = .;
   IF (C1_ <= -1) THEN C1_ = .;
   IF (C2_ <= -1) THEN C2_ = .;
   IF (C3_ <= -1) THEN C3_ = .;
   IF (C4_ <= -1) THEN C4_ = .;
   IF (C5_ <= -1) THEN C5_ = .;
   IF (C6_ <= -1) THEN C6_ = .;
   IF (C8_ <= -1) THEN C8_ = .;
   IF (C9_ <= -1) THEN C9_ = .;
   IF (C10_ <= -1) THEN C10_ = .;
   IF (C11_ <= -1) THEN C11_ = .;
   IF (C12_ <= -1) THEN C12_ = .;
   IF (C13_ <= -1) THEN C13_ = .;
   IF (C14_ <= -1) THEN C14_ = .;
   IF (C15_ <= -1) THEN C15_ = .;
   IF (C16_ <= -1) THEN C16_ = .;
   IF (C17_ <= -1) THEN C17_ = .;
   IF (C18_CD <= -1) THEN C18_CD = .;
   IF (C19_ <= -1) THEN C19_ = .;
   IF (C20_ <= -1) THEN C20_ = .;
   IF (C21_ <= -1) THEN C21_ = .;
   IF (C22_CD <= -1) THEN C22_CD = .;
   IF (C22_CD2 <= -1) THEN C22_CD2 = .;
   IF (C22_CD3 <= -1) THEN C22_CD3 = .;
   IF (C22_CD4 <= -1) THEN C22_CD4 = .;
   IF (C22_CD5 <= -1) THEN C22_CD5 = .;
   IF (C23_CD <= -1) THEN C23_CD = .;
   IF (C24_ <= -1) THEN C24_ = .;
   IF (C25_ <= -1) THEN C25_ = .;
   IF (C26_ <= -1) THEN C26_ = .;
   IF (C27_ <= -1) THEN C27_ = .;
   IF (C28_CD <= -1) THEN C28_CD = .;
   IF (C28_CD2 <= -1) THEN C28_CD2 = .;
   IF (C28_CD3 <= -1) THEN C28_CD3 = .;
   IF (C28_CD4 <= -1) THEN C28_CD4 = .;
   IF (C28_CD5 <= -1) THEN C28_CD5 = .;
   IF (C29_CD <= -1) THEN C29_CD = .;
   IF (D1_ <= -1) THEN D1_ = .;
   IF (D2_ <= -1) THEN D2_ = .;
   IF (D3_ <= -1) THEN D3_ = .;
   IF (D4_ <= -1) THEN D4_ = .;
   IF (D5_ <= -1) THEN D5_ = .;
   IF (D6_ <= -1) THEN D6_ = .;
   IF (D7_ <= -1) THEN D7_ = .;
   IF (D8_ <= -1) THEN D8_ = .;
   IF (D9_ <= -1) THEN D9_ = .;
   IF (D10_ <= -1) THEN D10_ = .;
   IF (D11_ <= -1) THEN D11_ = .;
   IF (D12_ <= -1) THEN D12_ = .;
   IF (D13_ <= -1) THEN D13_ = .;
   IF (D14_ <= -1) THEN D14_ = .;
   IF (D15_ <= -1) THEN D15_ = .;
   IF (D16_ <= -1) THEN D16_ = .;
   IF (D17_ <= -1) THEN D17_ = .;
   IF (D18_ <= -1) THEN D18_ = .;
   IF (D19_ <= -1) THEN D19_ = .;
   IF (D20_ <= -1) THEN D20_ = .;
   IF (D21_ <= -1) THEN D21_ = .;
   IF (D22_ <= -1) THEN D22_ = .;
   IF (D23_ <= -1) THEN D23_ = .;
   IF (D24_ <= -1) THEN D24_ = .;
   IF (D25_ <= -1) THEN D25_ = .;
   IF (D26_ <= -1) THEN D26_ = .;
   IF (D27_ <= -1) THEN D27_ = .;
   IF (D28_ <= -1) THEN D28_ = .;
   IF (D29_ <= -1) THEN D29_ = .;
   IF (D30_ <= -1) THEN D30_ = .;
   IF (D31_ <= -1) THEN D31_ = .;
   IF (D32_ <= -1) THEN D32_ = .;
   IF (D33_ <= -1) THEN D33_ = .;
   IF (D34_ <= -1) THEN D34_ = .;
   IF (D35_ <= -1) THEN D35_ = .;
   IF (D36_ <= -1) THEN D36_ = .;
   IF (E1_ <= -1) THEN E1_ = .;
   IF (E2_ <= -1) THEN E2_ = .;
   IF (E2_2 <= -1) THEN E2_2 = .;
   IF (E2_3 <= -1) THEN E2_3 = .;
   IF (E2_4 <= -1) THEN E2_4 = .;
   IF (E2_5 <= -1) THEN E2_5 = .;
   IF (E2_6 <= -1) THEN E2_6 = .;
   IF (E3_ <= -1) THEN E3_ = .;
   IF (E4_ <= -1) THEN E4_ = .;
   IF (E5_ <= -1) THEN E5_ = .;
   IF (E6_ <= -1) THEN E6_ = .;
   IF (E7_ <= -1) THEN E7_ = .;
   IF (F1_ <= -1) THEN F1_ = .;
   IF (F2_ <= -1) THEN F2_ = .;
   IF (F3_ <= -1) THEN F3_ = .;
   IF (F4_ <= -1) THEN F4_ = .;
   IF (F5_ <= -1) THEN F5_ = .;
   IF (F6_ <= -1) THEN F6_ = .;
   IF (F7_ <= -1) THEN F7_ = .;
   IF (F8_ <= -1) THEN F8_ = .;
   IF (F10_ <= -1) THEN F10_ = .;
   IF (F11_ <= -1) THEN F11_ = .;
   IF (F12_ <= -1) THEN F12_ = .;
   IF (F13_ <= -1) THEN F13_ = .;
   IF (F14_ <= -1) THEN F14_ = .;
   IF (F16A_ <= -1) THEN F16A_ = .;
   IF (F16B_ <= -1) THEN F16B_ = .;
   IF (F16C_ <= -1) THEN F16C_ = .;
   IF (F16D_ <= -1) THEN F16D_ = .;
   IF (F16E_ <= -1) THEN F16E_ = .;
   IF (F16F_ <= -1) THEN F16F_ = .;
   IF (F16G_ <= -1) THEN F16G_ = .;
   IF (F17_ <= -1) THEN F17_ = .;
   IF (F19_ <= -1) THEN F19_ = .;
   IF (F20_ <= -1) THEN F20_ = .;
   IF (F20_2 <= -1) THEN F20_2 = .;
   IF (F20_3 <= -1) THEN F20_3 = .;
   IF (F20_4 <= -1) THEN F20_4 = .;
   IF (F20_5 <= -1) THEN F20_5 = .;
   IF (F20_6 <= -1) THEN F20_6 = .;
   IF (F20_7 <= -1) THEN F20_7 = .;
   IF (F21_ <= -1) THEN F21_ = .;
   IF (F22_ <= -1) THEN F22_ = .;
   IF (F23_ <= -1) THEN F23_ = .;
   IF (F23_2 <= -1) THEN F23_2 = .;
   IF (F23_3 <= -1) THEN F23_3 = .;
   IF (F23_4 <= -1) THEN F23_4 = .;
   IF (F23_5 <= -1) THEN F23_5 = .;
   IF (F23_6 <= -1) THEN F23_6 = .;
   IF (F23_7 <= -1) THEN F23_7 = .;
   IF (F24_ <= -1) THEN F24_ = .;
   IF (F25_ <= -1) THEN F25_ = .;
   IF (F25_2 <= -1) THEN F25_2 = .;
   IF (F25_3 <= -1) THEN F25_3 = .;
   IF (F25_4 <= -1) THEN F25_4 = .;
   IF (F25_5 <= -1) THEN F25_5 = .;
   IF (F25_6 <= -1) THEN F25_6 = .;
   IF (F25_7 <= -1) THEN F25_7 = .;
   IF (F26_ <= -1) THEN F26_ = .;
   IF (F27_ <= -1) THEN F27_ = .;
   IF (H1A <= -1) THEN H1A = .;
   IF (H2 <= -1) THEN H2 = .;
   IF (H3 <= -1) THEN H3 = .;
   IF (H4 <= -1) THEN H4 = .;
   IF (H5 <= -1) THEN H5 = .;
   IF (H6 <= -1) THEN H6 = .;
   IF (H7 <= -1) THEN H7 = .;
   IF (H8 <= -1) THEN H8 = .;
   IF (H10 <= -1) THEN H10 = .;
   IF (H11 <= -1) THEN H11 = .;
   IF (H12 <= -1) THEN H12 = .;
   IF (H15 <= -1) THEN H15 = .;
   IF (H16 <= -1) THEN H16 = .;
   IF (J1 <= -1) THEN J1 = .;
   IF (J2 <= -1) THEN J2 = .;
   IF (J3 <= -1) THEN J3 = .;
   IF (J4 <= -1) THEN J4 = .;
   IF (J5 <= -1) THEN J5 = .;
   IF (J6 <= -1) THEN J6 = .;
   IF (J7 <= -1) THEN J7 = .;
   IF (J8 <= -1) THEN J8 = .;
   IF (J9 <= -1) THEN J9 = .;
   IF (J23 <= -1) THEN J23 = .;
   IF (J24 <= -1) THEN J24 = .;
   IF (J25 <= -1) THEN J25 = .;
   IF (J26 <= -1) THEN J26 = .;
   IF (J27 <= -1) THEN J27 = .;
   IF (J28 <= -1) THEN J28 = .;
   IF (J29 <= -1) THEN J29 = .;
   IF (J30 <= -1) THEN J30 = .;
   IF (J31 <= -1) THEN J31 = .;
   IF (J32 <= -1) THEN J32 = .;
   IF (J33 <= -1) THEN J33 = .;
   IF (J34 <= -1) THEN J34 = .;
   IF (J35 <= -1) THEN J35 = .;
   IF (J36 <= -1) THEN J36 = .;
   IF (J37 <= -1) THEN J37 = .;
   IF (J38 <= -1) THEN J38 = .;
   IF (J39 <= -1) THEN J39 = .;
   IF (J40 <= -1) THEN J40 = .;
   IF (J41 <= -1) THEN J41 = .;
   IF (J42 <= -1) THEN J42 = .;
   IF (J43 <= -1) THEN J43 = .;
   IF (J44 <= -1) THEN J44 = .;
   IF (J45 <= -1) THEN J45 = .;
   IF (J47 <= -1) THEN J47 = .;
   IF (J48 <= -1) THEN J48 = .;
   IF (J49 <= -1) THEN J49 = .;
   IF (J50 <= -1) THEN J50 = .;
   IF (J51 <= -1) THEN J51 = .;
   IF (J52 <= -1) THEN J52 = .;
   IF (J53 <= -1) THEN J53 = .;
   IF (J55 <= -1) THEN J55 = .;
   IF (J56 <= -1) THEN J56 = .;
   IF (J57 <= -1) THEN J57 = .;
   IF (J58 <= -1) THEN J58 = .;
   IF (J59 <= -1) THEN J59 = .;
   IF (K1_ <= -1) THEN K1_ = .;
   IF (K2_ <= -1) THEN K2_ = .;
   IF (K3_ <= -1) THEN K3_ = .;
   IF (K4_ <= -1) THEN K4_ = .;
   IF (K5_ <= -1) THEN K5_ = .;
   IF (K6_ <= -1) THEN K6_ = .;
   IF (K7_ <= -1) THEN K7_ = .;
   IF (K8_ <= -1) THEN K8_ = .;
   IF (K9_ <= -1) THEN K9_ = .;
   IF (K10_ <= -1) THEN K10_ = .;
   IF (K11_ <= -1) THEN K11_ = .;
   IF (K12_ <= -1) THEN K12_ = .;
   IF (K13_ <= -1) THEN K13_ = .;
   IF (K6_2 <= -1) THEN K6_2 = .;
   IF (K7_2 <= -1) THEN K7_2 = .;
   IF (K8_2 <= -1) THEN K8_2 = .;
   IF (K9_2 <= -1) THEN K9_2 = .;
   IF (K10_2 <= -1) THEN K10_2 = .;
   IF (K11_2 <= -1) THEN K11_2 = .;
   IF (K12_2 <= -1) THEN K12_2 = .;
   IF (K13_2 <= -1) THEN K13_2 = .;
   IF (K6_3 <= -1) THEN K6_3 = .;
   IF (K7_3 <= -1) THEN K7_3 = .;
   IF (K8_3 <= -1) THEN K8_3 = .;
   IF (K9_3 <= -1) THEN K9_3 = .;
   IF (K10_3 <= -1) THEN K10_3 = .;
   IF (K11_3 <= -1) THEN K11_3 = .;
   IF (K12_3 <= -1) THEN K12_3 = .;
   IF (K13_3 <= -1) THEN K13_3 = .;
   IF (K6_4 <= -1) THEN K6_4 = .;
   IF (K7_4 <= -1) THEN K7_4 = .;
   IF (K8_4 <= -1) THEN K8_4 = .;
   IF (K9_4 <= -1) THEN K9_4 = .;
   IF (K10_4 <= -1) THEN K10_4 = .;
   IF (K11_4 <= -1) THEN K11_4 = .;
   IF (K12_4 <= -1) THEN K12_4 = .;
   IF (K13_4 <= -1) THEN K13_4 = .;
   IF (K6_5 <= -1) THEN K6_5 = .;
   IF (K7_5 <= -1) THEN K7_5 = .;
   IF (K8_5 <= -1) THEN K8_5 = .;
   IF (K9_5 <= -1) THEN K9_5 = .;
   IF (K10_5 <= -1) THEN K10_5 = .;
   IF (K11_5 <= -1) THEN K11_5 = .;
   IF (K12_5 <= -1) THEN K12_5 = .;
   IF (K13_5 <= -1) THEN K13_5 = .;
   IF (CK1 <= -1) THEN CK1 = .;
   IF (CK2 <= -1) THEN CK2 = .;
   IF (CK3 <= -1) THEN CK3 = .;
   IF (CK4 <= -1) THEN CK4 = .;
   IF (CK5 <= -1) THEN CK5 = .;
   IF (LOTSTATE <= -1) THEN LOTSTATE = .;
   IF (INCOME <= -1) THEN INCOME = .;
   IF (IINCOME <= -1) THEN IINCOME = .;
   IF (EVERPROB <= -1) THEN EVERPROB = .;
   IF (PROB12MO <= -1) THEN PROB12MO = .;
   IF (MARITAL <= -1) THEN MARITAL = .;
   IF (RACETH <= -1) THEN RACETH = .;
   IF (A2_R <= -1) THEN A2_R = .;
   IF (A4_R <= -1) THEN A4_R = .;
   IF (A6_R <= -1) THEN A6_R = .;
   IF (SURVEY <= -1) THEN SURVEY = .;
   IF (SMSREG <= -1) THEN SMSREG = .;
*/

* SAS FORMAT STATEMENT;

  FORMAT CASEID caseid. SU_ID su_id. WTYOUTH wtyouth.
         A1_ a1_. A3_ a3_. A5_ a5_.
         A7_ a7_. A8_ a8_. A11_ a11_.
         A12_ a12_. A14_ a14_. B1_ b1_.
         B2_ b2_. B3_ b3_. B4_ b4_.
         B5_ b5_. B6_ b6_. B7_ b7_.
         B8_ b8_. B9_ b9_. B10_ b10_.
         B11_ b11_. B12_ b12_. B13_ b13_.
         B14_ b14_. B15_ b15_. B16_ b16_.
         B17_ b17_. B18_ b18_. B19_ b19_.
         B20_ b20_. B21_ b21_. B22_ b22_.
         B23_ b23_. B24_ b24_. B25_ b25_.
         B26_ b26_. B27_ b27_. B28_ b28_.
         B29_ b29_. B30_ b30_. B31_ b31_.
         B32_ b32_. B33_ b33_. B34_ b34_.
         B35_ b35_. B36_ b36_. B37_ b37_.
         B38_ b38_. B39_ b39_. B40_ b40_.
         B41_ b41_. B42_ b42_. B43_ b43_.
         B44_ b44_. B44_2 b44_2fff. B44_3 b44_3fff.
         B44_4 b44_4fff. B44_5 b44_5fff. B44_6 b44_6fff.
         B44_7 b44_7fff. B45_ b45_. B46_ b46_.
         B47A_CD b47a_cd. B47B_CD b47b_cd. B48_ b48_.
         B49_ b49_. B50_ b50_. B51_ b51_.
         B52A_CD b52a_cd. B52B_CD b52b_cd. B53_ b53_.
         B54_ b54_. B55_ b55_. B56_ b56_.
         B57_ b57_. B58_ b58_. B59_ b59_.
         B59_2 b59_2fff. B59_3 b59_3fff. B59_4 b59_4fff.
         B59_5 b59_5fff. B59_6 b59_6fff. B60_ b60_.
         B61_ b61_. B62_ b62_. B63_ b63_.
         B64_ b64_. B65_ b65_. B65_2 b65_2fff.
         B65_3 b65_3fff. B65_4 b65_4fff. B65_5 b65_5fff.
         B66_ b66_. B67_ b67_. B68A_CD b68a_cd.
         B68B_CD b68b_cd. B71_ b71_. B72A_CD b72a_cd.
         B72B_CD b72b_cd. B73_ b73_. B74_ b74_.
         B75_ b75_. B76_ b76_. B77_ b77_.
         B78_ b78_. B79_ b79_. B79_2 b79_2fff.
         B79_3 b79_3fff. B79_4 b79_4fff. B80_ b80_.
         B82_ b82_. B84_ b84_. B80_2 b80_2fff.
         B82_2 b82_2fff. B84_2 b84_2fff. B80_3 b80_3fff.
         B82_3 b82_3fff. B84_3 b84_3fff. B80_4 b80_4fff.
         B82_4 b82_4fff. B84_4 b84_4fff. B85_ b85_.
         B86_ b86_. B87_ b87_. B88_ b88_.
         B89_ b89_. B89_2 b89_2fff. B89_3 b89_3fff.
         B89_4 b89_4fff. B90A_ b90a_. B91_ b91_.
         B92_ b92_. B93A_CD b93a_cd. B93B_CD b93b_cd.
         B94_ b94_. B95_ b95_. B96_ b96_.
         B97_ b97_. B98_ b98_. B99_ b99_.
         B100_ b100_. B101_ b101_. B102_ b102_.
         B102_2 b102_2ff. B102_3 b102_3ff. B102_4 b102_4ff.
         B102_5 b102_5ff. B102_6 b102_6ff. B103_ b103_.
         B104_ b104_. B105A_CD b105a_cd. B105B_CD b105b_cd.
         B106_ b106_. B107_ b107_. B108A_CD b108a_cd.
         B108B_CD b108b_cd. B109_ b109_. B110_ b110_.
         B111_ b111_. B112_ b112_. B114_ b114_.
         B115_ b115_. B116_ b116_. B117_ b117_.
         B118_ b118_. B118_2 b118_2ff. B118_3 b118_3ff.
         B118_4 b118_4ff. B118_5 b118_5ff. B118_6 b118_6ff.
         B119_ b119_. B120_ b120_. B121A_CD b121a_cd.
         B121B_CD b121b_cd. B122_ b122_. B123_ b123_.
         B124A_CD b124a_cd. B124B_CD b124b_cd. B125_ b125_.
         B126_ b126_. B127_ b127_. B128_ b128_.
         B129_ b129_. B130_ b130_. B131_ b131_.
         B132_ b132_. B133_ b133_. B133_2 b133_2ff.
         B133_3 b133_3ff. B133_4 b133_4ff. B133_5 b133_5ff.
         B133_6 b133_6ff. B133_7 b133_7ff. B134_ b134_.
         B135_ b135_. B136A_CD b136a_cd. B136B_CD b136b_cd.
         B137_ b137_. B138_ b138_. B139A_CD b139a_cd.
         B139B_CD b139b_cd. B140_ b140_. B141_ b141_.
         B142_ b142_. B143A_CD b143a_cd. B143B_CD b143b_cd.
         B144_ b144_. B145A_CD b145a_cd. B145B_CD b145b_cd.
         B146_ b146_. B147_ b147_. B148_ b148_.
         B149_ b149_. B150_ b150_. B150_2 b150_2ff.
         B150_3 b150_3ff. B150_4 b150_4ff. B150_5 b150_5ff.
         B151_ b151_. B152_ b152_. B153_ b153_.
         B154_ b154_. B155_ b155_. B156_ b156_.
         B156_2 b156_2ff. B156_3 b156_3ff. B156_4 b156_4ff.
         B156_5 b156_5ff. B156_6 b156_6ff. B156_7 b156_7ff.
         B157_ b157_. B158_ b158_. B159A_CD b159a_cd.
         B159B_CD b159b_cd. B160_ b160_. B161_ b161_.
         B162_ b162_. B163_ b163_. B164A_CD b164a_cd.
         B164B_CD b164b_cd. B165_ b165_. B166_ b166_.
         B167_ b167_. B168_ b168_. B169_ b169_.
         B170A_CD b170a_cd. B170B_CD b170b_cd. B171_ b171_.
         B172_ b172_. B173_ b173_. B174_ b174_.
         B175_ b175_. B176A_CD b176a_cd. B176B_CD b176b_cd.
         B177_ b177_. B178A_CD b178a_cd. B178B_CD b178b_cd.
         C1_ c1_. C2_ c2_. C3_ c3_.
         C4_ c4_. C5_ c5_. C6_ c6_.
         C8_ c8_. C9_ c9_. C10_ c10_.
         C11_ c11_. C12_ c12_. C13_ c13_.
         C14_ c14_. C15_ c15_. C16_ c16_.
         C17_ c17_. C18_CD c18_cd. C19_ c19_.
         C20_ c20_. C21_ c21_. C22_CD c22_cd.
         C22_CD2 c22_cd2f. C22_CD3 c22_cd3f. C22_CD4 c22_cd4f.
         C22_CD5 c22_cd5f. C23_CD c23_cd. C24_ c24_.
         C25_ c25_. C26_ c26_. C27_ c27_.
         C28_CD c28_cd. C28_CD2 c28_cd2f. C28_CD3 c28_cd3f.
         C28_CD4 c28_cd4f. C28_CD5 c28_cd5f. C29_CD c29_cd.
         D1_ d1_. D2_ d2_. D3_ d3_.
         D4_ d4_. D5_ d5_. D6_ d6_.
         D7_ d7_. D8_ d8_. D9_ d9_.
         D10_ d10_. D11_ d11_. D12_ d12_.
         D13_ d13_. D14_ d14_. D15_ d15_.
         D16_ d16_. D17_ d17_. D18_ d18_.
         D19_ d19_. D20_ d20_. D21_ d21_.
         D22_ d22_. D23_ d23_. D24_ d24_.
         D25_ d25_. D26_ d26_. D27_ d27_.
         D28_ d28_. D29_ d29_. D30_ d30_.
         D31_ d31_. D32_ d32_. D33_ d33_.
         D34_ d34_. D35_ d35_. D36_ d36_.
         E1_ e1_. E2_ e2_. E2_2 e2_2ffff.
         E2_3 e2_3ffff. E2_4 e2_4ffff. E2_5 e2_5ffff.
         E2_6 e2_6ffff. E3_ e3_. E4_ e4_.
         E5_ e5_. E6_ e6_. E7_ e7_.
         F1_ f1_. F2_ f2_. F3_ f3_.
         F4_ f4_. F5_ f5_. F6_ f6_.
         F7_ f7_. F8_ f8_. F10_ f10_.
         F11_ f11_. F12_ f12_. F13_ f13_.
         F14_ f14_. F16A_ f16a_. F16B_ f16b_.
         F16C_ f16c_. F16D_ f16d_. F16E_ f16e_.
         F16F_ f16f_. F16G_ f16g_. F17_ f17_.
         F19_ f19_. F20_ f20_. F20_2 f20_2fff.
         F20_3 f20_3fff. F20_4 f20_4fff. F20_5 f20_5fff.
         F20_6 f20_6fff. F20_7 f20_7fff. F21_ f21_.
         F22_ f22_. F23_ f23_. F23_2 f23_2fff.
         F23_3 f23_3fff. F23_4 f23_4fff. F23_5 f23_5fff.
         F23_6 f23_6fff. F23_7 f23_7fff. F24_ f24_.
         F25_ f25_. F25_2 f25_2fff. F25_3 f25_3fff.
         F25_4 f25_4fff. F25_5 f25_5fff. F25_6 f25_6fff.
         F25_7 f25_7fff. F26_ f26_. F27_ f27_.
         H1A h1a. H2 h2ffffff. H3 h3ffffff.
         H4 h4ffffff. H5 h5ffffff. H6 h6ffffff.
         H7 h7ffffff. H8 h8ffffff. H10 h10fffff.
         H11 h11fffff. H12 h12fffff. H15 h15fffff.
         H16 h16fffff. J1 j1ffffff. J2 j2ffffff.
         J3 j3ffffff. J4 j4ffffff. J5 j5ffffff.
         J6 j6ffffff. J7 j7ffffff. J8 j8ffffff.
         J9 j9ffffff. J23 j23fffff. J24 j24fffff.
         J25 j25fffff. J26 j26fffff. J27 j27fffff.
         J28 j28fffff. J29 j29fffff. J30 j30fffff.
         J31 j31fffff. J32 j32fffff. J33 j33fffff.
         J34 j34fffff. J35 j35fffff. J36 j36fffff.
         J37 j37fffff. J38 j38fffff. J39 j39fffff.
         J40 j40fffff. J41 j41fffff. J42 j42fffff.
         J43 j43fffff. J44 j44fffff. J45 j45fffff.
         J47 j47fffff. J48 j48fffff. J49 j49fffff.
         J50 j50fffff. J51 j51fffff. J52 j52fffff.
         J53 j53fffff. J55 j55fffff. J56 j56fffff.
         J57 j57fffff. J58 j58fffff. J59 j59fffff.
         K1_ k1_. K2_ k2_. K3_ k3_.
         K4_ k4_. K5_ k5_. K6_ k6_.
         K7_ k7_. K8_ k8_. K9_ k9_.
         K10_ k10_. K11_ k11_. K12_ k12_.
         K13_ k13_. K6_2 k6_2ffff. K7_2 k7_2ffff.
         K8_2 k8_2ffff. K9_2 k9_2ffff. K10_2 k10_2fff.
         K11_2 k11_2fff. K12_2 k12_2fff. K13_2 k13_2fff.
         K6_3 k6_3ffff. K7_3 k7_3ffff. K8_3 k8_3ffff.
         K9_3 k9_3ffff. K10_3 k10_3fff. K11_3 k11_3fff.
         K12_3 k12_3fff. K13_3 k13_3fff. K6_4 k6_4ffff.
         K7_4 k7_4ffff. K8_4 k8_4ffff. K9_4 k9_4ffff.
         K10_4 k10_4fff. K11_4 k11_4fff. K12_4 k12_4fff.
         K13_4 k13_4fff. K6_5 k6_5ffff. K7_5 k7_5ffff.
         K8_5 k8_5ffff. K9_5 k9_5ffff. K10_5 k10_5fff.
         K11_5 k11_5fff. K12_5 k12_5fff. K13_5 k13_5fff.
         CK1 ck1fffff. CK2 ck2fffff. CK3 ck3fffff.
         CK4 ck4fffff. CK5 ck5fffff. LOTSTATE lotstate.
         INCOME income. IINCOME iincome. EVERPROB everprob.
         PROB12MO prob12mo. MARITAL marital. RACETH raceth.
         A2_R a2_r. A4_R a4_r. A6_R a6_r.
         SURVEY survey. SMSREG smsreg.  ;

RUN ;
